Skip to main content

Get wallet profiles

GET 

/ledger/v2/wallets/profiles

Beta

This endpoint is currently in beta. The API contract may change during this phase. We recommend testing thoroughly in sandbox before using it in production.

Returns available wallet profiles based on optional filters for currency codes and payment methods. For more information on how to apply it in the Embedded Wallets flow, refer to the Retrieve wallet profiles guide.

The endpoint uses the Lucene query syntax, for example, GET https://api.bvnk.com/ledger/v2/wallets/profiles?q=customerId:550e8400-e29b-41d4-a716-446655440000 AND currency:USD returns USD wallet profiles for that customer.

Note: Field names in the q search expression are case-sensitive. If you use a field that is not recognised, it is ignored.

Operator OR is only supported within the same field (group alternatives with parentheses), not across different fields.

  • Supported: ?q=currency:(USD OR EUR)
  • Not supported: ?q=currency:USD OR customerId:550e8400-e29b-41d4-a716-446655440000

Request

Responses

List of wallet profiles matching the query

Was this page helpful?